org.eclipse.oomph.setup

## Interface LocationCatalog

- All Superinterfaces:
    EObject, Notifier
  All Known Implementing Classes:
    LocationCatalogImpl

      public interface LocationCatalog
      extends EObject

  A representation of the model object 'Location Catalog'.

  The following features are supported:

  - `Installations`
  - `Workspaces`
  See Also:
    `SetupPackage.getLocationCatalog()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EMap<Installation,EList<Workspace>>` | `getInstallations()` Returns the value of the 'Installations' map.
    `EMap<Workspace,EList<Installation>>` | `getWorkspaces()` Returns the value of the 'Workspaces' map.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInstallations

          EMap<Installation,EList<Workspace>> getInstallations()

      Returns the value of the 'Installations' map. The key is of type `Installation`, and the value is of type list of `Workspace`,

      If the meaning of the 'Installations' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Installations' map.
      See Also:
        `SetupPackage.getLocationCatalog_Installations()`
      Generated
      Model
        mapType="org.eclipse.oomph.setup.InstallationToWorkspacesMapEntry<org.eclipse.oomph.setup.Installation, org.eclipse.oomph.setup.Workspace>" extendedMetaData="name='installation'"

    - #### getWorkspaces

          EMap<Workspace,EList<Installation>> getWorkspaces()

      Returns the value of the 'Workspaces' map. The key is of type `Workspace`, and the value is of type list of `Installation`,

      If the meaning of the 'Workspaces' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Workspaces' map.
      See Also:
        `SetupPackage.getLocationCatalog_Workspaces()`
      Generated
      Model
        mapType="org.eclipse.oomph.setup.WorkspaceToInstallationsMapEntry<org.eclipse.oomph.setup.Workspace, org.eclipse.oomph.setup.Installation>" extendedMetaData="name='workspace'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html